## lua-inotify 0.4+git20151119

=== Makefile ===

SRCNAME = linotify.c
OBJNAME = linotify.o
LIBNAME = inotify.so

# Gives a nice speedup but also spoils debugging on x86. Comment
# out this line when debugging.
OMIT_FRAME_POINTER = -fomit-frame-pointer

# Seach for lua .pc file
LUAPKG_CMD = $(shell pkg-config --list-all | grep Lua | awk 'FNR == 1 {print $$1}')
CFLAGS = -fPIC -O3 -Wall $(shell pkg-config "$(LUAPKG_CMD)" --cflags)
LFLAGS = -shared $(OMIT_FRAME_POINTER)
INSTALL_PATH = $(shell pkg-config "$(LUAPKG_CMD)" --variable=INSTALL_CMOD)

## If your system doesn't have pkg-config, comment out the previous
## lines and uncomment and change the following ones according to your
## building enviroment.

#CFLAGS = -I/usr/include/lua5.1/ -fPIC -O3 -Wall
#LFLAGS = -shared $(OMIT_FRAME_POINTER)
#INSTALL_PATH = /usr/lib/lua/5.1

all: $(LIBNAME)

$(OBJNAME): $(SRCNAME)
	$(CC) -o $(OBJNAME) -c $(SRCNAME) $(CFLAGS)

$(LIBNAME): $(OBJNAME)
	$(CC) -o $(LIBNAME) -shared $(OBJNAME) $(LFLAGS)

install: $(LIBNAME)
	install -D -s $(LIBNAME) $(DESTDIR)$(INSTALL_PATH)/$(LIBNAME)

clean:
	$(RM) $(LIBNAME) $(OBJNAME)


.PHONY: all install clean

=== debian/changelog ===
lua-inotify (0.4+git20151119-2) unstable; urgency=medium

  * Remove no longer supported luasandbox build (Closes: #906591)
  * Update Vcs-Git and Vcs-Browser

 -- Sophie Brun <sophie@freexian.com>  Wed, 05 Sep 2018 10:17:33 +0200

lua-inotify (0.4+git20151119-1) unstable; urgency=medium

  * Initial release (Closes: #848217)

 -- Sophie Brun <sophie@freexian.com>  Tue, 13 Dec 2016 10:50:06 +0100

=== debian/control ===
Source: lua-inotify
Section: interpreters
Priority: optional
Maintainer: Sophie Brun <sophie@freexian.com>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9), dh-lua (>= 24), pkg-config
Standards-Version: 3.9.8
Homepage: https://github.com/hoelzro/linotify
Vcs-Git: https://salsa.debian.org/lua-team/lua-inotify.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-inotify

Package: lua-inotify
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: inotify bindings for Lua
 This package contains Lua bindings for the Linux inotify API.
 .
 The inotify API lets you monitor filesystem events (access, update, creation,
 deletion, rename, etc.) on watched paths (both files and directories).

Package: lua-inotify-dev
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: lua-inotify (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: inotify bindings for Lua (development files)
 This package contains the development files of the lua-inotify library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lua-inotify-$1.tar.gz%" \
   https://github.com/hoelzro/linotify/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lua-inotify 0.5

=== debian/changelog ===
lua-inotify (0.5-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse
  * Update standards version to 4.6.0, no changes needed

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jan 2026 12:44:54 +0100

lua-inotify (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * Bump Standards-Version to 4.5.1
  * Update debian/copyright
  * Use debhelper-compat 13

 -- Sophie Brun <sophie@freexian.com>  Thu, 21 Jan 2021 15:17:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sophie Brun <sophie@freexian.com>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9), dh-lua (>= 24), pkg-config
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), dh-lua (>= 24), pkg-config
+Standards-Version: 4.6.0
 Homepage: https://github.com/hoelzro/linotify
 Vcs-Git: https://salsa.debian.org/lua-team/lua-inotify.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-inotify
